Loading...
Searching...
No Matches
BALL::VIEW::UIOperationMode Class Reference

`#include <BALL/VIEW/KERNEL/UIOperationMode.h>`

## Public Types

enum | OperationMode { MODE_FULL = 0 , MODE_ADVANCED , MODE_KIOSK , MODE_ALL }

## Public Member Functions

virtual | ~UIOperationMode ()
OperationMode | getMode ()
void | setMode (OperationMode new_mode)
bool | isFull ()
bool | isAdvanced ()
bool | isKiosk ()

## Static Public Member Functions

static UIOperationMode & | instance ()

## Protected Member Functions

| UIOperationMode ()
| UIOperationMode (const UIOperationMode &)
const UIOperationMode & | operator= (const UIOperationMode &)

## Protected Attributes

OperationMode | mode_

## Static Protected Attributes

static boost::shared_ptr< UIOperationMode > | instance_
static Mutex | create_mutex_

## Detailed Description

A singleton that manages the operation mode of our user interface.

Definition at line 25 of file UIOperationMode.h.

## Member Enumeration Documentation

## OperationMode

enum BALL::VIEW::UIOperationMode::OperationMode

Enumerator
MODE_FULL |
MODE_ADVANCED |
MODE_KIOSK |
MODE_ALL |

Definition at line 29 of file UIOperationMode.h.

## Constructor & Destructor Documentation

## ~UIOperationMode()

virtual BALL::VIEW::UIOperationMode::~UIOperationMode | ( |  | ) |

virtual

## UIOperationMode() [1/2]

BALL::VIEW::UIOperationMode::UIOperationMode | ( |  | ) |

protected

## UIOperationMode() [2/2]

BALL::VIEW::UIOperationMode::UIOperationMode | ( | const UIOperationMode & |  | ) |

protected

## Member Function Documentation

## getMode()

OperationMode BALL::VIEW::UIOperationMode::getMode | ( |  | ) |

## instance()

UIOperationMode & BALL::VIEW::UIOperationMode::instance | ( |  | ) |

static

## isAdvanced()

bool BALL::VIEW::UIOperationMode::isAdvanced | ( |  | ) |

## isFull()

bool BALL::VIEW::UIOperationMode::isFull | ( |  | ) |

## isKiosk()

bool BALL::VIEW::UIOperationMode::isKiosk | ( |  | ) |

## operator=()

const UIOperationMode & BALL::VIEW::UIOperationMode::operator= | ( | const UIOperationMode & |  | ) |

protected

## setMode()

void BALL::VIEW::UIOperationMode::setMode | ( | OperationMode | new_mode | ) |

## Member Data Documentation

## create_mutex_

Mutex BALL::VIEW::UIOperationMode::create_mutex_

static protected

Definition at line 57 of file UIOperationMode.h.

## instance_

boost::shared_ptr<UIOperationMode> BALL::VIEW::UIOperationMode::instance_

static protected

Definition at line 55 of file UIOperationMode.h.

## mode_

OperationMode BALL::VIEW::UIOperationMode::mode_

protected

Definition at line 59 of file UIOperationMode.h.